{ config, ... }:
{
  services.nginx = {
    virtualHosts."jackett.donsz.nl" = {
      forceSSL = true;
      http2 = true;
      enableACME = true;

      locations."/" = {
        proxyPass = "http://localhost:${toString config.services.jackett.port}";
      };
    };
  };

  # vpnNamespaces.mullvad.portMappings = [
  #   {
  #     from = config.services.jackett.port;
  #     to = config.services.jackett.port;
  #   }
  # ];
  # systemd.services.autobrr.vpnConfinement = {
  #   enable = true;
  #   vpnNamespace = "mullvad";
  # };

  services.oauth2-proxy.nginx.virtualHosts."jackett.donsz.nl" = {
    allowed_groups = [ "torrent" ];
  };

  services.jackett = {
    enable = true;
    group = "jellyfin";
    user = "jellyfin";
    port = 11013;
  };
}
